org.freedesktop

## Class DBus.NameOwnerChanged

- java.lang.Object
- - org.freedesktop.dbus.Message
  - - org.freedesktop.dbus.DBusSignal
    - - org.freedesktop.DBus.NameOwnerChanged

- Enclosing interface:
    DBus

      public static class DBus.NameOwnerChanged
      extends org.freedesktop.dbus.DBusSignal

  Signal sent when the owner of a name changes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.freedesktop.dbus.Message

      `org.freedesktop.dbus.Message.ArgumentType, org.freedesktop.dbus.Message.Endian, org.freedesktop.dbus.Message.Flags, org.freedesktop.dbus.Message.HeaderField, org.freedesktop.dbus.Message.MessageType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `String` | `new_owner`
    `String` | `old_owner`

    - ### Fields inherited from class org.freedesktop.dbus.Message

      `bytecounter, flags, globalserial, headers, PROTOCOL, protover, serial, type, wiredata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameOwnerChanged(String path, String name, String old_owner, String new_owner)`

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.dbus.Message

      `align, append, appendByte, appendBytes, appendint, demarshallint, demarshallint, demarshallintBig, demarshallintLittle, extract, extract, getAlignment, getDestination, getFlags, getHeader, getHeaderFieldName, getInterface, getName, getParameters, getPath, getReplySerial, getSerial, getSig, getSource, getWireData, marshallint, marshallintBig, marshallintLittle, pad, setArgs, setSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### old_owner

          public final String old_owner

    - #### new_owner

          public final String new_owner

  - ### Constructor Detail

    - #### NameOwnerChanged

          public NameOwnerChanged(String path,
                                  String name,
                                  String old_owner,
                                  String new_owner)
                           throws org.freedesktop.dbus.exceptions.DBusException

      Throws:
        `org.freedesktop.dbus.exceptions.DBusException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.